> For the complete documentation index, see [llms.txt](https://docs.decentraland.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.decentraland.org/contributor/contributor-zh/nei-rong/shi-ti-lei-xing/outfits.md).

# 套装

Outfits 是玩家保存的装扮。一个装扮由身体形状、皮肤、头发、眼睛和可穿戴物品配置组成。

### 指针 <a href="#pointers" id="pointers"></a>

套装 [指针](https://github.com/decentraland/docs/blob/main/contributor/pointers/README.md) 是所有者的以太坊地址，后面带有一个“`:outfits`”后缀。例如：

```
0x210c4415d6a71195af76beef9b85dd0eb43f35df:outfits
```

### 元数据字段

| 字段                   | 值                                             |
| -------------------- | --------------------------------------------- |
| `套装`                 | 每个装扮的描述数组（见下文）。                               |
| `namesForExtraSlots` | 用于验证额外槽位的已拥有名称数组。对于每个已拥有名称，都会授予一个最多 5 个的额外槽位。 |

### 套装

中的每个装扮 `metadata.outfits[]` 表示用户的一个装扮，并具有若干属性：

| 字段       | 值            |
| -------- | ------------ |
| `slot`   | 已保存装扮的槽位编号。  |
| `outfit` | 已保存的装扮（见下文）。 |

例如：

```json
{
  "slot": 1,
  "outfit": {
    // 见下文
  }
}
```

#### 装扮字段

该 `metadata.outfits[].outfit` 该字段包含保存玩家装扮并将其渲染所需的全部信息。

| 字段          | 值                                                                                                                           |
| ----------- | --------------------------------------------------------------------------------------------------------------------------- |
| `bodyShape` | 该 [指针](https://github.com/decentraland/docs/blob/main/contributor/pointers/README.md) 对应于头像的身体形状实体。                         |
| `eyes`      | 一个包含 `color` ，形式为一个 `{ r, g, b }` 用于头像眼睛的对象。                                                                                |
| `hair`      | 一个包含 `color` ，形式为一个 `{ r, g, b }` 用于头像头发的对象。                                                                                |
| `skin`      | 一个包含 `color` ，形式为一个 `{ r, g, b }` 用于头像皮肤的对象。                                                                                |
| `可穿戴物品`     | 一个包含 [可穿戴物品指针](https://github.com/decentraland/docs/blob/main/contributor/entity-types/wearables/README.md#pointers) 由头像使用。 |

例如：

```json
{
  "bodyShape": "urn:decentraland:off-chain:base-avatars:BaseMale",
  "eyes": {
    "color": { "r": 0.37109375, "g": 0.22265625, "b": 0.1953125 }
  },
  "hair": {
    "color": { "r": 0.234375, "g": 0.12890625, "b": 0.04296875 }
  },
  "skin": {
    "color": { "r": 0.80078125, "g": 0.609375, "b": 0.46484375 }
  },
  "wearables": [
    "urn:decentraland:off-chain:base-avatars:eyes_00",
    "urn:decentraland:off-chain:base-avatars:eyebrows_00",
    "urn:decentraland:off-chain:base-avatars:mouth_00",
    "urn:decentraland:off-chain:base-avatars:m_mountainshoes.glb",
    "urn:decentraland:off-chain:base-avatars:sport_jacket",
    "urn:decentraland:off-chain:base-avatars:brown_pants",
    "urn:decentraland:off-chain:base-avatars:aviatorstyle",
    "urn:decentraland:off-chain:base-avatars:casual_hair_03",
    "urn:decentraland:off-chain:base-avatars:Mustache_Short_Beard"
  ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.decentraland.org/contributor/contributor-zh/nei-rong/shi-ti-lei-xing/outfits.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
